package common_structure

type OrderCreate struct {
	ID uint `json:"id"` // 订单ID
}

type OrderCloseType = int

const (
	OrderCloseTypePayTimeout            OrderCloseType = 10 // 支付超时
	OrderCloseTypeRefundClose           OrderCloseType = 20 // 售后完成关闭
	OrderCloseTypeMerchantClose         OrderCloseType = 30 // 商家关闭
	OrderCloseTypeThirdOrderFailedClose OrderCloseType = 40 // 第三方订单下单失败关闭
	OrderCloseTypeUser                  OrderCloseType = 50 // 用户主动关闭
	OrderCloseTypeMerchantCancel        OrderCloseType = 60 // 商家取消订单关闭
	OrderCloseTypeDeliveryTimeout       OrderCloseType = 70 // 发货超时关闭
	OrderCloseTypePaymentFailed         OrderCloseType = 80 // 创建支付失败
	OrderCloseTypeAbandonPayment        OrderCloseType = 90 // 放弃支付

)

type OrderClose struct {
	ID        uint           `json:"id"`         // 订单ID
	CloseType OrderCloseType `json:"close_type"` // 关闭类型
}

type OrderPay struct {
	ID uint `json:"id"` // 订单ID
}

type OrderSent struct {
	ID              uint `json:"id"`                // 订单ID
	OrderProductsID uint `json:"order_products_id"` // 订单商品ID
}

type OrderCloseRefund struct {
	ID uint `json:"id"` // 订单ID
}

type OrderFinished struct {
	ID uint `json:"id"` // 订单ID
}

type OrderReconciliationPrecheck struct {
	ID uint `json:"id"` // 订单ID
}

type OrderReconciliation struct {
	ID uint `json:"id"` // 订单ID
}

type OrderConsumptionAward struct {
	ID uint `json:"id"` // 订单ID
}

type OrderConsumptionAwardRedPacketQualification struct {
	ID uint `json:"id"` // 订单ID
}

type OrderConsumptionAwardRedPacketMoney struct {
	ID uint `json:"id"` // 订单ID
}

type OrderVoucher struct {
	ID uint `json:"id"` // 订单ID
}

type OrderFinishedAfter struct {
	ID uint `json:"id"` // 订单ID
}

type OrderUpdateSuccess struct {
	ID uint `json:"id"` // 订单ID
}

type ThirdOrderRefund struct {
	ID uint `json:"id"` // 订单ID
}

type RedPacketRefund struct {
	ID              uint `json:"id"`                // 订单ID
	OrderProductsID uint `json:"order_products_id"` // 订单商品ID
}

type OrderSentOvertime struct {
	ID uint `json:"id"` // 订单ID
}
